:root {
    --a-primary: #899964;
    --a-primary-light: #a3b970;
    --a-secondary: #c3c7b9;
    --a-yellow: #e0dd39;
    --a-mint: #cbdba8;
    --a-dark: #151515;
    --a-gray: #515253;
    --a-gray-light: #6d7071;
    --a-primary-rgb: 137, 153, 100;
    --a-secondary-rgb: 195, 199, 185;

    --bs-primary: var(--a-primary);
    --bs-primary-rgb: var(--a-primary-rgb);
}

/* TEXT */
a { color: var(--a-primary); }
a:hover { color: rgba(var(--a-primary-rgb), .6) }
.text-primary { color: var(--a-primary) !important; }
.text-primary-light { color: var(--a-primary-light) !important; }
.text-secondary { color: var(--a-secondary) !important; }
.text-gray { color: var(--a-gray-light); }
.text-balance {
    text-wrap: balance;
}

/* IMAGES */
.img-full {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* BUTTONS */
.btn {
    border-radius: 100px;
}
.btn.btn-primary {
    background-color: var(--a-primary);
    border: 1px solid var(--a-primary);
    color: white;
}
.btn.btn-primary:hover {
    background-color: var(--a-mint);
    border: 1px solid var(--a-mint);
}
.btn.btn-primary .icon.text-dark {
    color: white !important;
}
.btn.btn-primary .icon img, 
.btn.btn-primary .icon.text-dark img { 
    filter: contrast(2) invert(1);
}

/* LAYOUT */
.img-full {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.img-contain {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.image-article {
    display: grid;
    gap: 2rem;
}
@media (min-width: 992px) {
    .image-article {
        grid-template-columns: 40% 1fr;
        gap: 5rem;
    }
}

/* BORDERS */
.border-primary {
    border-color: var(--a-primary) !important;
}

/* OTHER */
hr {
    background-color: rgba(var(--a-secondary-rgb), .6);
}

/* FILTERS */
.icon .icon-primary {
    filter: invert(0.47) sepia(1) saturate(1.2) hue-rotate(28.7deg);
}
.icon .icon-primary-light {
    filter: invert(0.572) sepia(1) saturate(1.4) hue-rotate(34deg);
}

/* HOMEPAGE */
.header {
    background-color: white;
    color: var(--a-dark);
}
.header-top,
.header-middle,
.header-bottom {
    border-bottom: 1px solid rgba(var(--a-secondary-rgb), .6);
}
.header .custom-logo-link {
    width: 110px;
}
@media (min-width: 768px) {
    .header-top {
        height: 50px;
    }
}
@media (min-width: 992px) {
    .header .custom-logo-link {
        width: 150px;
    }
}
@media (min-width: 1460px) {
    .header .custom-logo-link {
        width: 240px;
    }
}
.header .custom-logo-link {

}
.header-top__icon-section .icon path {
    fill: var(--a-primary);
}
.header-middle .header-middle__right .search-box .search-input {
    border-top-left-radius: 2rem;
    border-bottom-left-radius: 2rem;
}
.header-middle .header-middle__right .search-box .btn-primary {
    border-top-right-radius: 2rem;
    border-bottom-right-radius: 2rem;
    path {
        fill: white;
        stroke: white;
    }
}
.header-middle .header-middle__right .inline-icon-text-cart path {
    fill: var(--a-primary);
}
.header-middle .header-middle__right .hover-dropdown .inline-icon-text path {
    fill: var(--a-primary);
    stroke: var(--a-primary);
}
.header-middle .header-middle__right .hamburger .hamburger-inner,
.header-middle .header-middle__right .hamburger .hamburger-inner::before,
.header-middle .header-middle__right .hamburger .hamburger-inner::after {
    background-color: var(--a-primary);
}
.header-middle .header-middle__right .btn-search-mobile path {
    fill: white;
    stroke: white;
}

/* HERO */
.section-hero .btn {
    background-color: var(--a-primary);
    border: 1px solid var(--a-primary);
    color: white;
    &:hover {
        background-color: rgba(var(--a-primary-rgb), .6);
    }
}

/* PRODUCTS */
.card-coin .card-coin-actions .form-control.qty {
    border-radius: 30px;
    padding: .2rem 0.4rem .2rem 1rem;
}
.coins-article .table > :not(:last-child) > :last-child > *,
.card-coin .table > :not(:last-child) > :last-child > * {
    max-width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
}
@media (max-width: 575.98px) {
    .coins-article .table > :not(:last-child) > :last-child > *,
    .card-coin .table > :not(:last-child) > :last-child > * {
        max-width: 80px;
    }
}

/* FOOTER */
.footer__links-container > [class^="col"] > [class^="text"],
.footer__links-container .footer__contact  > [class^="text"] {
    color: var(--a-primary-light);
}
@media (min-width: 992px) {
    .footer__links-container {
        flex-wrap: nowrap;
    }
}